import JSON5 from "json5";
import { intakeFile } from "./intakeFile.js";
function intakeFileAsJson(files, filePath) {
  const file = intakeFile(files, filePath);
  try {
    return file && JSON5.parse(file[0]);
  } catch {
    return void 0;
  }
}
export {
  intakeFileAsJson
};
