import gitUrlParse from "git-url-parse";
import { inputFromScript } from "input-from-script";
async function readGitDefaults(take) {
  const url = await take(inputFromScript, {
    command: "git remote get-url origin"
  });
  return url.stdout ? gitUrlParse(url.stdout.toString()) : void 0;
}
export {
  readGitDefaults
};
