import { GitUrl } from 'git-url-parse';
import { PartialPackageData } from '../types.js';

declare function readRepository(getGitDefaults: () => Promise<GitUrl | undefined>, getPackageDataFull: () => Promise<PartialPackageData>, options: {
    directory?: string;
    repository?: string;
}): Promise<string | undefined>;

export { readRepository };
